Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZProductCollectionItemOption Class Reference
Inheritance diagram for eZProductCollectionItemOption:

## Public Member Functions
| __clone ()
| copy ( $collectionItemID)
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $productCollectionItemID, $optionItemID, $optionName, $optionValue, $optionPrice, $attributeID)
static | fetchList ( $productCollectionItemID, $asObject=true)
static | cleanupList ( $itemIDList)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Additional Inherited Members
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Definition at line 11 of file ezproductcollectionitemoption.php.

## Member Function Documentation

## ◆ __clone()

eZProductCollectionItemOption::__clone | ( |  | ) |

Clones the collection item option object and returns it. The ID of the clone is reset so that the clone can be saved

Definition at line 83 of file ezproductcollectionitemoption.php.

References eZPersistentObject\setAttribute().

## ◆ cleanupList()

static eZProductCollectionItemOption::cleanupList | ( |  | $itemIDList | ) |
| static

Removes all product collections options which are related to the collection items specified in the parameter array

Parameters

  array | $itemIDList | Array of eZProductCollectionItem IDs

Returns
  void

Definition at line 130 of file ezproductcollectionitemoption.php.

References eZDB\instance().

Referenced by eZProductCollectionItem\cleanupList(), and eZDBGarbageCollector\collectProductCollectionItems().

## ◆ copy()

eZProductCollectionItemOption::copy | ( |  | $collectionItemID | ) |

Copies the collection object item option. The copy will point to the collection item parameter $collectionItemID.

Parameters

  int | $collectionItemID | Collection item ID to match the option to

Returns
  eZProductCollectionItemOption The new object

Definition at line 96 of file ezproductcollectionitemoption.php.

## ◆ create()

static eZProductCollectionItemOption::create | ( |  | $productCollectionItemID,
|  |  | $optionItemID,
|  |  | $optionName,
|  |  | $optionValue,
|  |  | $optionPrice,
|  |  | $attributeID
| ) |  |
| static

Creates an eZProductCollectionItem

Parameters

  int | $productCollectionItemID |
  int | $optionItemID |
  string | $optionName |
  string | $optionValue |
  string | $optionPrice |
  int | $attributeID |

Definition at line 68 of file ezproductcollectionitemoption.php.

## ◆ definition()

static eZProductCollectionItemOption::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 13 of file ezproductcollectionitemoption.php.

Referenced by fetchList().

## ◆ fetchList()

static eZProductCollectionItemOption::fetchList | ( |  | $productCollectionItemID,
|  |  | $asObject = `true`
| ) |  |
| static

Fetches eZProductCollectionItemOption items that match the given item ID, sorted by ascending order of option ID

Parameters

  int | $productCollectionItemID |
  bool | $asObject |

Returns
  array(eZProductCollectionItemOption)

Definition at line 113 of file ezproductcollectionitemoption.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZProductCollectionItem\calculatePriceWithOptions(), eZProductCollectionItem\optionList(), and eZProductCollectionItem\removeThis().

The documentation for this class was generated from the following file:

- ezproductcollectionitemoption.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.